All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::invalid_binary Class Reference

Exception thrown if the OpenCL binary (generated from the jit-compiler or loaded from some other location) won't work on the device (e.g. due to a lack of double precision support). More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::invalid_binary:

## Detailed Description

Exception thrown if the OpenCL binary (generated from the jit-compiler or loaded from some other location) won't work on the device (e.g. due to a lack of double precision support).

Definition at line 333 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp